SQLite Specific SQL

package | Query
subpackage | Drivers

### Methods

## Get the 'average' keyword

    avg() : string

Inherited

inherited_from | \DB_SQL::avg()

### Returns

`string`

## Returns sql to list other databases

    db_list() : FALSE

### Returns

`FALSE`

## Get the 'distinct' keyword

    distinct() : string

Inherited

inherited_from | \DB_SQL::distinct()

### Returns

`string`

## Return sql to list functions

    function_list() : FALSE

### Returns

`FALSE`

## Limit clause

    limit(string $sql, int $limit, int $offset) : string

### Parameters

#### $sql

`string`

#### $limit

`int`

#### $offset

`int`

### Returns

`string`

## Get the max keyword sql

    max() : string

Inherited

inherited_from | \DB_SQL::max()

### Returns

`string`

## Get the min keyword sql

    min() : string

Inherited

inherited_from | \DB_SQL::min()

### Returns

`string`

## Return sql to list stored procedures

    procedure_list() : FALSE

### Returns

`FALSE`

## Random ordering keyword

    random() : string

### Returns

`string`

## Return sql to list sequences

    sequence_list() : FALSE

### Returns

`FALSE`

## Get the 'sum' keyword

    sum() : string

Inherited

inherited_from | \DB_SQL::sum()

### Returns

`string`

## Overridden in SQLite class

    system_table_list() : string

### Returns

`string`

## Returns sql to list tables

    table_list() : string

### Returns

`string`

## Returns sql to list triggers

    trigger_list() : FALSE

### Returns

`FALSE`

## Returns sql to list views

    view_list() : string

### Returns

`string`